Bug 1269372 - rm -rf on /run/gluster/vol/* shows a plain header
rm -rf on /run/gluster/vol/* shows a plain header
Status: CLOSED CANTFIX
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
mainline
All All
medium Severity unspecified
: ---
: ---
Assigned To: bugs@gluster.org
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 03:02 EDT by Manikandan
Modified: 2016-09-20 00:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 06:16:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manikandan 2015-10-07 03:02:42 EDT
Description of problem:
Doing rm -rf on /run/gluster/vol/* shows a plain header. It actually removes all the directories created under the mount point. After the 'rm' command when one gives 'gluster v quota vol list/list-objects' command it should show "No inode-quota/quota configured on vol".

Version-Release number of selected component (if applicable):


How reproducible:
Every time


Steps to Reproduce:
1.Set limit-objects on a directory (say /run/gluster/vol/dir)
2. Create files under the quota limit directory
3. do rm -rf /<mountpoint>/* (here rm -rf /run/gluster/vol/*)
4. Issue 'gluster v quota vol list-objects'

Actual results:
It shows a plain header of quota list/list-objects


Expected results:
It should show "No inode-quota/quota configured on vol".

Additional info:
Comment 1 Manikandan 2015-11-23 06:06:49 EST
With the latest build, it does not show a plain header, instead, nothing is shown. After an rm -rf on /<mount point>/* is given, it would be better to show "No inode-quota/quota configured on <volname>" with quota list/list-objects command.
Comment 2 Manikandan 2015-11-23 06:16:12 EST
If the file is removed with rm -rf, quota.conf will only have the gfid on which limit is set but the file will not be present in the backend. So it is not possible to fix it(cleanup the quota xattr).

Note You need to log in before you can comment on or make changes to this bug.